# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods
- Constructors

Interfaces
org.apache.wiki.auth.acl.Acl: use `Acl` instead
org.apache.wiki.auth.acl.AclEntry: use `AclEntry` instead
org.apache.wiki.search.SearchResult: - use `SearchResult` instead

Classes
org.apache.wiki.search.QueryItem: - use `QueryItem` instead

Fields
org.apache.wiki.attachment.AttachmentManager.PROP_PROVIDER_DEPRECATED

Methods
org.apache.wiki.auth.acl.Acl.addEntry​(AclEntry): use `Acl.addEntry(org.apache.wiki.api.core.AclEntry)` instead.
org.apache.wiki.auth.acl.Acl.entries(): use `Acl.aclEntries()` instead.
org.apache.wiki.auth.acl.Acl.getEntry​(Principal): use `Acl.getAclEntry(Principal)` instead.
org.apache.wiki.auth.acl.Acl.removeEntry​(AclEntry): use `Acl.removeEntry(org.apache.wiki.api.core.AclEntry)` instead.
org.apache.wiki.WikiContext.findContext​(PageContext): use `Context.findContext( PageContext )` instead.
org.apache.wiki.WikiEngine.getAclManager(): use `getManager( AclManager.class )` instead.
org.apache.wiki.WikiEngine.getAdminBeanManager(): use `getManager( AdminBeanManager.class )` instead.
org.apache.wiki.WikiEngine.getAttachmentManager(): use `getManager( AttachmentManager.class )` instead.
org.apache.wiki.WikiEngine.getAuthenticationManager(): use `getManager( AuthenticationManager.class )` instead.
org.apache.wiki.WikiEngine.getAuthorizationManager(): use `getManager( AuthorizationManager.class )` instead.
org.apache.wiki.WikiEngine.getCommandResolver(): use `getManager( CommandResolver.class )` instead.
org.apache.wiki.WikiEngine.getDifferenceManager(): use `getManager( DifferenceManager.class )` instead.
org.apache.wiki.WikiEngine.getEditorManager(): use `getManager( EditorManager.class )` instead.
org.apache.wiki.WikiEngine.getFilterManager(): use `getManager( FilterManager.class )` instead.
org.apache.wiki.WikiEngine.getGroupManager(): use `getManager( GroupManager.class )` instead.
org.apache.wiki.WikiEngine.getInternationalizationManager(): use `getManager( InternationalizationManager.class )` instead.
org.apache.wiki.WikiEngine.getPageManager(): use `getManager( PageManager.class )` instead.
org.apache.wiki.WikiEngine.getPageRenamer(): use `getManager( PageRenamer.class )` instead.
org.apache.wiki.WikiEngine.getPluginManager(): use `getManager( PluginManager.class )` instead.
org.apache.wiki.WikiEngine.getProgressManager(): use `getManager( ProgressManager.class )` instead.
org.apache.wiki.WikiEngine.getReferenceManager(): use `getManager( ReferenceManager.class )` instead.
org.apache.wiki.WikiEngine.getRenderingManager(): use `getManager( RenderingManager.class )` instead.
org.apache.wiki.WikiEngine.getRSSGenerator(): use `getManager( RSSGenerator.class )` instead.
org.apache.wiki.WikiEngine.getSearchManager(): use `getManager( SearchManager.class )` instead.
org.apache.wiki.WikiEngine.getTasksManager(): use `getManager( TaskManager.class )` instead.
org.apache.wiki.WikiEngine.getTemplateManager(): use `getManager( TemplateManager.class )` instead.
org.apache.wiki.WikiEngine.getURLConstructor(): use `getManager( URLConstructor.class )` instead.
org.apache.wiki.WikiEngine.getUserManager(): use `getManager( UserManager.class )` instead.
org.apache.wiki.WikiEngine.getVariableManager(): use `getManager( VariableManager.class )` instead.
org.apache.wiki.WikiEngine.getWorkflowManager(): use `getManager( WorkflowManager.class )` instead.
org.apache.wiki.WikiPage.setAcl​(Acl): use `WikiPage.setAcl(org.apache.wiki.api.core.Acl)`
org.apache.wiki.WikiSession.sessions​(Engine): use `SessionMonitor.sessions()` instead
org.apache.wiki.WikiSession.userPrincipals​(Engine): use `SessionMonitor.userPrincipals()` instead

Constructors
org.apache.wiki.attachment.Attachment​(WikiEngine, String, String): kept for compatibility with page/attachment providers not using public API. Use `Attachment(Engine, String, String)` instead.
org.apache.wiki.search.SearchMatcher​(WikiEngine, QueryItem[]): kept for compatibility with page/attachment providers not using public API. Use `SearchMatcher(Engine, QueryItem)` instead.
org.apache.wiki.WikiPage​(WikiEngine, String): kept for compatibility with page/attachment providers not using public API. Use `WikiPage(Engine, String)` instead.